{#
/**
 * @file
 * Template for a Bootstrap 5 Row.
 *
 * Available variables:
 * - gap, gap_sm, gap_md, gap_lg, gap_xl, gap_xxl: Bootstrap all-axis gap classes.
 * - gap_x, gap_x_sm, gap_x_md, gap_x_lg, gap_x_xl, gap_x_xxl: Horizontal gap classes.
 * - gap_y, gap_y_sm, gap_y_md, gap_y_lg, gap_y_xl, gap_y_xxl: Vertical gap classes.
 * - row_cols, row_cols_sm, row_cols_md, row_cols_lg, row_cols_xl, row_cols_xxl: Row column count classes.
 * - custom_class: Additional CSS classes for the row.
 *
 * Available slots:
 * - row: Column components.
 *
 * @ingroup themeable
 */
#}

{% set row_classes = [
  'row',
  gap|default(''),
  gap_sm|default(''),
  gap_md|default(''),
  gap_lg|default(''),
  gap_xl|default(''),
  gap_xxl|default(''),
  gap_x|default(''),
  gap_x_sm|default(''),
  gap_x_md|default(''),
  gap_x_lg|default(''),
  gap_x_xl|default(''),
  gap_x_xxl|default(''),
  gap_y|default(''),
  gap_y_sm|default(''),
  gap_y_md|default(''),
  gap_y_lg|default(''),
  gap_y_xl|default(''),
  gap_y_xxl|default(''),
  row_cols|default(''),
  row_cols_sm|default(''),
  row_cols_md|default(''),
  row_cols_lg|default(''),
  row_cols_xl|default(''),
  row_cols_xxl|default(''),
  custom_class|default(''),
]|filter(v => v) %}

<div class="{{ row_classes|join(' ') }}">
  {% block row %}{% endblock %}
</div>
